package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.StudentInfoOld;
import org.dromara.system.domain.bo.StudentLiveOldBo;
import org.dromara.system.domain.vo.StudentInfoOldVo;
import org.dromara.system.domain.bo.StudentInfoOldBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 学生档案历史信息Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IStudentInfoOldService {

    /**
     * 查询学生档案历史信息
     */
    StudentInfoOldVo queryById(Long oldId);

    /**
     * 查询学生档案历史信息列表
     */
    TableDataInfo<StudentInfoOldVo> queryPageList(StudentInfoOldBo bo, PageQuery pageQuery);

    /**
     * 查询学生档案历史信息列表
     */
    List<StudentInfoOldVo> queryList(StudentInfoOldBo bo);

    /**
     * 新增学生档案历史信息
     */
    Boolean insertByBo(StudentInfoOldBo bo);

    /**
     * 修改学生档案历史信息
     */
    Boolean updateByBo(StudentInfoOldBo bo);

    /**
     * 校验并批量删除学生档案历史信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    R<Map<String, Object>> selectStudentInfoOldListEcharts(StudentLiveOldBo bo);
}
